List Backup Posture Controls
Retrieves a list of backup posture controls in the specified project.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project whose backup posture controls you want to retrieve. You can get your project ID from the API Credentials page in your global management console.
Query parameters
pageToken
Opaque cursor for the next page of results, returned as nextPageToken
by a previous call. Reuse the same request body for stable pagination.
pageSize
Maximum number of backup posture controls to return.
Request
This endpoint expects an object.
sorts
Sort instructions applied in order. When omitted, controls are returned
sorted by severity, most severe first.
Response
Backup posture controls retrieved.
backupPostureControls
List of retrieved backup posture controls.
totalCount
Total number of backup posture controls that matched the filter options.
nextPageToken
Cursor that points to the first record of the next page of results.
Pass this value in the next request.